# $Revision: 1.28 $, $Date: 2009/10/16 06:38:24 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Manifest
Summary:	Test::Manifest - interact with a t/test_manifest file
Summary(pl.UTF-8):	Test::Manifest - współpraca z plikiem t/test_manifest
Name:		perl-Test-Manifest
Version:	1.23
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	81c8744987b67d35af05a74a3c7f1742
URL:		http://search.cpan.org/dist/Test-Manifest/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MakeMaker assumes that you want to run all of the .t files in the t/
directory in ascii-betical order during make test unless you say
otherwise. This leads to some interesting naming schemes for test
files to get them in the desired order.

%description -l pl.UTF-8
MakeMaker zakłada, że chcemy podczas make test uruchamiać wszystkie
pliki .t z katalogu t/ w kolejności asciibetycznej, o ile nie podamy
innej kolejności. To prowadzi do interesujących schematów nazywania
plików z testami, aby były wykonywane we właściwej kolejności.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Test/*.pm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Manifest.spec,v $
Revision 1.28  2009/10/16 06:38:24  amateja
- updated to 1.23

Revision 1.27  2007/12/19 21:28:56  zbyniu
- up to 1.22

Revision 1.26  2007-05-30 18:58:35  qboosh
- generic URL

Revision 1.25  2007/05/30 07:07:53  agaran
- up to 1.17, rel 1, builds here

Revision 1.24  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.22  2005/06/14 07:07:16  petec
- up to 1.14

Revision 1.21  2004/12/03 14:36:58  radek
- autoupdated to 1.11

Revision 1.20  2004/11/03 22:30:48  paladine
- formatting

Revision 1.19  2004/05/06 18:21:14  ankry
- fixed perl-devel BR

Revision 1.18  2004/05/03 00:55:42  ankry
- license fixes, cosmetics

Revision 1.17  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.16  2004/03/06 19:08:08  adamg
- updated to 0.93

Revision 1.15  2003/09/18 13:21:44  adamg
- updated to 0.92

Revision 1.14  2003/09/09 10:24:50  ankry
- spaces -> tab

Revision 1.13  2003/08/18 08:09:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:25:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 21:34:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/25 00:42:33  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:38:37  ankry
- massive attack: change CPAN URLs

Revision 1.6  2003/01/15 18:35:04  mis
- autoupdated to 0.91

Revision 1.5  2002/10/18 01:29:48  ankry
- version 0.9 : removed unnecessary dependencies

Revision 1.4  2002/10/06 08:59:42  ankry
- version 0.8 (new methods, more tests)

Revision 1.3  2002/08/26 22:12:58  radek
- BR: perl-Text-Diff

Revision 1.2  2002/08/26 16:20:01  qboosh
- pl description

Revision 1.1  2002/08/25 16:00:07  radek
- new, STBR
